/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	メール送信機能 XMO メールテンプレート情報クラス（VO）
//			変更履歴
//				2004.01.08	新規作成	工藤明洋
//
package jp.co.ntt.lms.xmo.Mail;


/**
 * メールテンプレート情報クラスです。<BR>
 * このクラスはメールテンプレートの各情報を保持するValueObjectです。
 */
public class MailTemplateVO implements java.io.Serializable {

	// タイトル値定義
	private String m_Title = "";

	// 送信元値定義
	private String m_From = "";

	// 題名値定義
	private String m_Subject = "";

	// 本文値定義
	private String m_Body = "";

	// エラーコード定義
	private int m_ErrCode = MailConst.RESULT_SUCCESS;

	// エラーメッセージ定義
	private String m_ErrMsg = "";

	// ----- アクセッサ定義（データ取得系操作） -----
	// タイトル取得
	public String getTitle() {
		return m_Title;
	}
	// 送信元取得
	public String getFromAddress() {
		return m_From;
	}
	// 題名取得
	public String getSubject() {
		return m_Subject;
	}
	// 本文取得
	public String getBody() {
		return m_Body;
	}
	// エラーコード取得
	public int getErrCode() {
		return m_ErrCode;
	}

	// エラーメッセージ取得
	public String getErrMsg() {
		return m_ErrMsg;
	}

	// ----- アクセッサ定義（データ設定系操作） -----
	// タイトル設定
	public void setTitle(String strTitle) {
		m_Title = strTitle;
		return;
	}
	// 送信元設定
	public void setFromAddress(String strFromAddress) {
		m_From = strFromAddress;
		return;
	}
	// 題名設定
	public void setSubject(String strSubject) {
		m_Subject = strSubject;
		return;
	}
	// 本文設定
	public void setBody(String strBody) {
		m_Body = strBody;
		return ;
	}
	// エラーコード設定
	public void setErrCode(int iErrCode) {
		m_ErrCode = iErrCode;
		return;
	}
	// エラーメッセージ設定
	public void setErrMsg( String strErrMsg ) {
		m_ErrMsg = strErrMsg;
		return;
	}
}

	


	